'use strict';

var index = require('./index-Bq84pjsN.js');
var utils = require('./utils-T4aQipUb.js');

const fieldsetCss = () => ``;

const Fieldset = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    get host() { return index.getElement(this); }
    // private shadowElement?: HTMLElement;
    // MARK: Props
    hint;
    legend;
    // MARK: Render
    render() {
        const { legend } = this;
        const fieldsetId = utils.useId('fieldset');
        return (index.jsx(index.Host, { part: "root", children: index.jsxs("fieldset", { class: "dds-fieldset", id: fieldsetId, part: "fieldset", children: [legend && index.jsx("legend", { class: "dds-fieldset__legend", children: legend }, '22ef896bf4103bcf1e79def43984b63237358bd0'), index.jsx("slot", {}, 'a0f18960872ba169c86fe1fa954fcbbbc036e33e')] }, '8dcc9e1058738315500bfa35457eda007e4fe697') }, 'aa444fbf946b872dcc564f9954fc55d08dc8b710'));
    }
};
Fieldset.style = fieldsetCss();

exports.dds_fieldset = Fieldset;
